### Function

# SpiceClientGtk GrabSequence new_from_string

#### Declaration [src]

    SpiceGrabSequence*
    spice_grab_sequence_new_from_string (
      const gchar* str
    )

#### Description [src]

Creates a new `SpiceGrabSequence` from the string representation.

#### Parameters

`str`

  Type: `const gchar*`

  A string of ‘+’ separated key names (ex: “Control_L+Alt_L”).

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `SpiceGrabSequence`

A new `SpiceGrabSequence`.

The caller of the function takes ownership of the data, and is responsible for freeing it.